/*
 * Copyright 2012-2013 Samsung Electronics Co., Ltd/
 *
 * Licensed under the Flora License, Version 1.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */






#ifndef __DEF_SEARCH_BAR_H__
#define __DEF_SEARCH_BAR_H__

#include <Elementary.h>

void search_searchbar_cb(void *data, Evas_Object * obj, void *event_info);

void search_searchbar_entry_changed_cb(void *data, Evas_Object * obj,
				       void *event_info);
Evas_Object *search_category_custom_layout_add(Evas_Object *parent);
Evas_Object *search_category_image_add(char* imgpath, Evas_Object *parent, int width, int height, bool resize);
Evas_Object *search_searchbar_category_icon_add(char *img, Evas_Object *parent, int width, int height, bool resize);
void search_create_searchbar_layout(Evas_Object *parent, void *data);
void search_delete_searchbar_layout(void *data);
Evas_Object *search_create_layout(Evas_Object *parent, const char *file, const char *group);
Evas_Object *search_create_category_button(Evas_Object *parent, void *data);
Evas_Object *search_create_search_bar(Evas_Object *parent);
Evas_Object *search_create_search_cancel_btn(Evas_Object *parent);
Evas_Object *search_create_search_entry(Evas_Object *parent, void *data);
#endif				/* __DEF_SEARCH_BAR_H__ */
