/*
 * Copyright 2012-2013 Samsung Electronics Co., Ltd/
 *
 * Licensed under the Flora License, Version 1.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#define CHECK_VALIDATE_UTF8 0

void search_util_date_time_format_init();
void search_util_date_time_format_deinit();
void search_region_format_cb(void *data);
void search_util_date_time_format_get_val(time_t time,
					  char *format_val, int type);
void search_sql_make_keyword_bind_value(char *src, char *dest, int type);
void search_get_date_string(char *date_string);
const char *search_markup_keyword(const char *string, char *searchword,
				 bool *result);
char *search_get_main_window_name(void);
